## dsi-task-openafs 0.1.0

=== Makefile ===
#!/usr/bin/make -f
# -*- makefile -*-

# Copyrigth: 2005-2024 Instituto Superior Técnico
# Author: Jose M Calhariz <jose.calhariz@ist.utl.pt>

# License: GPL2+ with OpenSSL exception


# "based" on template Makefile for most debian packages version 0.29

PACKNAME=$(shell dh_listpackages)
SOURCENAME=$(shell dpkg-parsechangelog | grep "Source:" | cut -d ' ' -f 2)
DEBVER=$(shell dpkg-parsechangelog | grep "Version:" | cut -d ' ' -f 2)
VER=$(shell dpkg-parsechangelog | grep "Version:" | cut -d ' ' -f 2 | cut -f 1 -d -)
ifeq ($(DEBVER),$(VER))
NATIVE=1
else
NATIVE=0
endif
MDIST=bookworm
DIST=$(shell dpkg-parsechangelog | grep "Distribution" | cut -d ' ' -f 2)
SECTION=main
CATEG=my_sources
#CATEG=other_sources
BINDIR=/usr/bin
SBINDIR=/usr/sbin
USRSHAREBASE=/usr/share
USRLIBBASE=/usr/lib
VARLIBBASE=/var/lib
SHAREDIR=$(USRSHAREBASE)/$(PACKNAME)
LIBDIR=$(USRLIBBASE)/$(PACKNAME)
DOCDIR=/usr/share/doc/$(PACKNAME)
ETCBASE=/etc
ETCDIR=$(ETCBASE)/$(PACKNAME)
MANDIR=/usr/share/man/man8
LOGROTATEDIR=/etc/logrotate.d
ZIPFILE=file-2.0.0.zip
ZIPDIR=file-2.0.0
TARFILE=file-$(VER).tar.gz
TARDIR=untar/$(PACKNAME)-$(VER)
ifeq ($(NATIVE),0)
DISTFILE=$(SOURCENAME)_$(VER).orig.tar.xz
#DISTFILES=$(DISTFILE) $(SOURCENAME)_$(DEBVER).diff.gz
DISTFILES=$(DISTFILE) $(SOURCENAME)_$(DEBVER).debian.tar.gz
else
DISTFILE=$(SOURCENAME)_$(DEBVER).tar.gz
DISTFILES=$(DISTFILE)
endif


all:
	echo $(VER) $(DEBVER) $(MDIST) $(DIST) $(PACKNAME) $(SOURCENAME) $(NATIVE)
	echo $(DEB_HOST_GNU_TYPE) $(DEB_BUILD_GNU_TYPE)


include /usr/share/quilt/quilt.make

unpack:unpack-up-stamp
unpack-up-stamp:
	#unzip $(ZIPFILE)
	#unzip $(ZIPFILE) -d $(ZIPDIR)
	#mkdir untar
	#tar xzf $(TARFILE) -C untar
	#Prepare files for patching
	touch unpack-up-stamp


#configure:unpack debian/stamp-patched configure-up-stamp
configure:unpack configure-up-stamp
configure-up-stamp:
	touch configure-up-stamp


build-arch: configure build-arch-up-stamp
build-arch-up-stamp:
	touch build-arch-up-stamp


build-indep: configure build-indep-up-stamp
build-indep-up-stamp:
	touch build-indep-up-stamp


build: build-arch build-indep


install: build


installconf-%: build
	install -d debian/$*/$(SBINDIR)
	install $*-config debian/$*/$(SBINDIR)


clean:
	make unpatch || rm debian/stamp-patched
	find -name '*~' -exec rm {} \;
	rm -rf $(ZIPDIR) untar build-dir
	rm -f  configure-up-stamp unpack-up-stamp build-arch-up-stamp build-indep-up-stamp build-up-stamp install-up-stamp


# Create the files ready for distribution, need to be run in a dir
# without SVN control files

# Non-native package
#dist: clean
#	if test -e ../$(DISTFILE) ; then echo "$(DISTFILE) file should be generated only once" ; false ; fi
#	cd .. && GZIP=-9 tar --exclude='.svn' --exclude='debian' --exclude='tmp' --exclude='*~' -czf $(DISTFILE) $(SOURCENAME)
#	cd .. && svn add $(DISTFILE)

# Create the files ready for distribution
# Debian native package
#dist: clean
#	cd .. && GZIP=-9 tar --exclude='.svn' --exclude='tmp' --exclude='*~' -czf $(DISTFILE) $(SOURCENAME)
#	cd .. && svn add $(DISTFILE)


# Experimental rule to build archive for public distribution
# Non-native package
dist-exp: clean
ifeq ($(NATIVE),0)
	# Non native package
	if test -e ../$(DISTFILE) ; then echo "$(DISTFILE) file should be generated only once" ; false ; fi
	#cp -al ../$(SOURCENAME) ../$(SOURCENAME)-$(VER)
	cd .. && tar --exclude='.svn' --exclude='.git' --exclude='debian' --exclude='tmp' --exclude='*~' -cf - $(SOURCENAME) | xz -v9 -c > $(DISTFILE)
	cd .. && svn add $(DISTFILE)
else
	# native package
	cd .. && tar --exclude='.svn' --exclude='tmp' --exclude='*~' -czf - $(SOURCENAME) | xz -v9 -c > $(DISTFILE)
	cd .. && svn add $(DISTFILE)
endif


# Create the deb file
deb:
	debuild -i
	debc
	debdiff ; test $$? -ne 255

packages: deb


# Upload the packages and the distribution files into the rigth places
upload:	
	make -f ../upload upload

# Make tags of the sources as documented by subversion
tag:
	cd .. ; git add $(DISTFILES) ; echo $(PWD)
	cd .. ; git add $(SOURCENAME)_$(DEBVER)_*.changes \
			$(SOURCENAME)_$(DEBVER)_*.build \
			$(SOURCENAME)_$(DEBVER).dsc
	cd .. ; git add *_$(DEBVER)_*.deb
	cd .. ; git status ; echo "enter to continue" ; read enter
	cd .. ; shopt -s nullglob ; git commit -m "Released v$(DEBVER)" \
		$(DISTFILES) \
		$(SOURCENAME)_$(DEBVER)_*.changes \
		$(SOURCENAME)_$(DEBVER)_*.build \
		$(SOURCENAME)_$(DEBVER).dsc \
		*_$(DEBVER)_*.deb
	git tag -u $(DEBSIGN_KEYID) -m "V$(DEBVER)" debian/$(DEBVER)
	bash -c 'DEBEMAIL="jose.calhariz@tecnico.ulisboa.pt" debchange --increment "New release" --distribution $(MDIST)'

distribute: upload tag

.PHONY: build clean binary-indep binary-arch binary install configure unpack

=== debian/changelog ===
dsi-task-openafs (0.1.0) UNRELEASED; urgency=medium

  * First release.

 -- Jose M Calhariz <jose.calhariz@tecnico.ulisboa.pt>  Wed, 20 Mar 2024 19:35:29 +0000

=== debian/control ===
Source: dsi-task-openafs
Section: dsi
Priority: optional
Maintainer: Jose M Calhariz <jose.calhariz@tecnico.ulisboa.pt>
Build-Depends: debhelper (>= 4.0.0)
Standards-Version: 3.6.1

Package: dsi-task2-afs-client
Architecture: all
Depends: ${shlibs:Depends}, ${misc:Depends},
 dsi-task2-afs-mit-client | dsi-task2-afs-heimdal-client 
Description: software to be client of openafs
 Software needed to be a client of openafs, to authenticate you need
 to choose between kerberos client from Heimdal or MIT.
 .
 You may install openafs-modules-source to compile your own modules or
 use dkms to automatize that.
 .
 To configure the software use dsi-conf-openafs-config.


Package: dsi-task2-afs-login
Architecture: all
Depends: ${shlibs:Depends}, ${misc:Depends},
 dsi-task2-afs-mit-login | dsi-task2-afs-heimdal-login
Description: software to allow login into homedir in AFS
 Software needed for your homedir to be placed in AFS, to authenticate
 you need to choose between kerberos client from Heimdal or MIT.
 .
 For more info look into web page:
 https://wiki.dsi.tecnico.ulisboa.pt/LoginIntegradoNaDebianSqueezeTagus
 .
 You may install openafs-modules-source to compile your own modules or
 use dkms to automatize that.
 .
 To configure the software use dsi-conf-openafs-config.


Package: dsi-task2-afs-heimdal-client
Architecture: all
Depends: ${shlibs:Depends}, ${misc:Depends},
 heimdal-clients,
 openafs-client
Recommends: openafs-modules-dkms | openafs-modules2 | openafs-modules-source,
Replaces: tp-openafs, dsi-task-openafs-heimdal
Description: software to be a client of openafs and kerberos of Heimdal
 Software needed to be a cliente of openafs using Heimdal
 implementation of Kerberos 5.  
 .
 You may install openafs-modules-source to compile your own modules or
 use dkms to automatize that.
 .
 To configure the software use dsi-conf-openafs-config.


Package: dsi-task2-afs-mit-client
Architecture: all
Depends: ${shlibs:Depends}, ${misc:Depends},
 krb5-user,
 openafs-client,
 openafs-krb5
Recommends: openafs-modules-dkms | openafs-modules2 | openafs-modules-source, 
Description: software to be a client of openafs and kerberos of MIT
 Software needed to be a cliente of openafs using MIT
 implementation of Kerberos 5.  
 .
 You may install openafs-modules-source to compile your own modules or
 use dkms to automatize that.
 .
 To configure the software run dsi-conf-openafs-config.


Package: dsi-task2-afs-heimdal-login
Architecture: all
Depends: ${shlibs:Depends}, ${misc:Depends},
 heimdal-clients,
 openafs-client,
 tp-conf-afs-client,
 tp-conf-afs-login, 
 tp-aklog,
 libnss-ldapd |  libnss-ldap,
 libpam-ldapd | libpam-ldap,
 libpam-heimdal, openafs-krb5,
 libpam-afs-session
Recommends: openafs-modules-dkms | openafs-modules2 | openafs-modules-source, 
Suggests: tp-conf-afs-login
Description: login using Kerberos Heimdal, LDAP and OpenAFS
 Software needed to login using Kerberos passwords, information users
 from LDAP and home directory in OpenAFS directories.  More commonly
 named integrated login.
 .
 Auto configure is not yet available, use this information on this
 Wiki page
 https://ciist.ist.utl.pt/ciwiki/LoginIntegradoNaDebianSargeTagus
 .
 Description of packages:
 .
 * heimdal-clients - kerberos clients from Heimdal
 .
 * openafs-client  - openafs client to access openafs file
 .
 * libnss-ldap - add support for ldap method to nsswitch.conf
 .
 * libpam-ldap - ldap module for pam
 .
 * libpam-krb5 - kerberos module for pam
 .
 * openafs-krb5 - aklog program, not really needed
 .
 * libpam-afs-session - openafs-session module from pam, needed to
   get afs tokens.


Package: dsi-task2-afs-mit-login
Architecture: all
Depends: ${shlibs:Depends}, ${misc:Depends},
 krb5-user,
 openafs-client,
 openafs-krb5,
 dsi-conf-afs-client,
 dsi-conf-afs-login, 
 libnss-ldapd |  libnss-ldap,
 libpam-ldapd | libpam-ldap,
 libpam-krb5,
 libpam-afs-session
Recommends: openafs-modules-dkms | openafs-modules2 | openafs-modules-source, 
Description: login using MIT Kerberos, LDAP and OpenAFS
 Software needed to login using Kerberos passwords, information users
 from LDAP and home directory in OpenAFS directories.  More commonly
 named integrated login.
 .
 Auto configure is not yet available, use this information on this
 Wiki page
 https://ciist.ist.utl.pt/ciwiki/LoginIntegradoNaDebianSargeTagus
 .
 Description of packages:
 .
 * krb5-user - kerberos clients from MIT
 .
 * openafs-client  - openafs client to access openafs file
 .
 * openafs-krb5 - aklog program
 .
 * libnss-ldap - add support for ldap method to nsswitch.conf
 .
 * libpam-ldap - ldap module for pam
 .
 * libpam-krb5 - kerberos module for pam
 .
 * libpam-afs-session - openafs-session module from pam, needed to
   get afs tokens.
